/* just for debugging */

body {
    background-image: url("../gfx/marmor.png") !important;
}

div {
}

#logo {
    width: 50px;
    float: left;
    margin: 5px;
}

#container {
    display: flex;
    height: 100%;
    overflow: hidden;
    /*border: solid;*/
    flex-direction: column;
}

#mainmenu {
    margin: 0;
}

.mainmenulink {
    padding-left: 20px;
    border-bottom: 1px solid lightgrey;
    padding-bottom: 3px;
}

.mainmenulink:last-of-type {
    border-bottom: none;
    padding-bottom: 1px;
}

.mainmenulink:hover {
    cursor: pointer;
    color: #337ab7;
}

.HideButton {
    align-self: center;
    padding: 5px 0 5px 0; /* better vertical clickability; no horizontal because of interference with resize buttons */
}

#main {
    display: flex;
    overflow: hidden;
    /*border: solid thin #999999;*/
    flex: 1;
}

#left {
    min-width: 138px;
    /*flex: auto;*/
    width: 15%;
    /*border: thin solid #999999;*/
}

#right {
    min-width: 250px;
    flex: auto; /*only flex on the right side, to snap to right edge*/
    width: 25%;
    /*border: thin solid #999999;*/
    overflow-x: hidden;
    overflow-y: hidden;
    padding: 0;
    display: flex;
    flex-direction: column;
    border: none !important;
    left: 0;
}

#middle {
    min-width: 600px;
    /*flex: auto;*/
    width: 60%;
    /*border: thin solid #999999;*/
    display: flex;
    flex-direction: column;
    margin: 1px;
}

#editor {
    overflow-y: auto;
    overflow-x: hidden;
    flex: auto;
    /*border: solid thin #999999;*/
    border-radius: 9px;
    margin: 5px;
    background-color: white;
    height: 99% !important;
    /*box-shadow: 0 0 4px 9px rgba(0, 0, 0, 0.1) !* 5px 5px 9px 9px rgba(0, 0, 0, 0.15);*!;*/
}

#top {
    /*border: thin;*/
    overflow: hidden;
    height: 75%;
    flex: auto;
    display: flex;
}

#bottom {
    /*border: thin double #999999;*/
    flex: auto;
    min-height: 100px;
    border-radius: 3px;
    overflow: hidden;
    height: 25%;
    width: 100% !important;
}

#loadingScreen {
    cursor: wait;
    opacity: 0.8;
    position: fixed;
    display: none; /* Hidden by default: none*/
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.6);
}

.ui-tabs .ui-tabs-panel {
    padding: 1px;
}

.ui-state-default .ui-tabs-nav .ui-tabs-anchor {
    /*background-image: url("../gfx/marmor.png") !important;*/
    box-shadow: 0px 0px 4px 2px rgba(0, 0, 0, 0.1) inset;
    border-radius: 5px;
    margin: 5px !important;
    background-color: white;
}

.ui-tabs-nav {
    color: black;
    border: none;
    background-color: white;
    /*background-image: url("../gfx/marmor.png") !important;*/
    box-shadow: 0px 0px 4px 2px rgba(0, 0, 0, 0.1) inset;
    border-radius: 5px;
    margin: 5px !important;
}

.nav > li > a:hover {
    text-decoration: underline;
    background: transparent;
}

.ui-tabs .ui-tabs-nav li.ui-tabs-active .ui-tabs-anchor, .ui-tabs .ui-tabs-nav li.ui-state-disabled .ui-tabs-anchor, .ui-tabs .ui-tabs-nav li.ui-tabs-loading .ui-tabs-anchor {
    color: white;
    font-weight: bold;
}

a.dropdown-toggle {
    background: transparent !important;
}

.marmorblock {
    /*background-image: url("../gfx/marmor.png") !important;*/
    background-color: white;
    border: none !important;
    box-shadow: 0px 0px 4px 2px rgba(0, 0, 0, 0.1) inset;
    border-radius: 5px;
    margin: 5px !important;
    padding: 5px;
}

.marmorbutton {
    /*border: double #777777 !important;*/
}

.bottomContent {
    overflow-y: auto;
    height: calc(100% - 64px);
}
